### Method

# Gtk Text set_activates_default

#### Declaration [src]

    void
    gtk_text_set_activates_default (
      GtkText* self,
      gboolean activates
    )

#### Description [src]

If `activates` is `TRUE`, pressing Enter will activate the default widget for the window containing `self`.

This usually means that the dialog containing the `GtkText` will be closed, since the default widget is usually one of the dialog buttons.

Sets property | `Gtk.Text:activates-default`

#### Parameters

`activates` | `gboolean`
| `TRUE` to activate window’s default widget on Enter keypress.